--- /home/daniel/Downloads/lammps-20Feb13/src/pair.h	2013-02-15 10:32:15.000000000 -0700
+++ pair.h	2013-01-22 16:03:00.308701595 -0700
@@ -75,6 +75,9 @@
 
   int single_extra;              // number of extra single values calculated
   double *svector;               // vector of extra single quantities
+  
+  int nhweights;                 // number of weight values (=number of sub styles in hybrid/weighted)
+  double *hweights;              // list of weight values used by hybrid/weighted
 
   class NeighList *list;         // standard neighbor list used by most pairs
   class NeighList *listhalf;     // half list used by some pairs
--- /home/daniel/Downloads/lammps-20Feb13/src/pair.cpp	2012-10-19 09:34:11.000000000 -0600
+++ pair.cpp	2012-11-09 11:12:50.843564050 -0700
@@ -84,6 +84,7 @@
   eatom = NULL;
   vatom = NULL;
 
+  nhweights = 0;
   datamask = ALL_MASK;
   datamask_ext = ALL_MASK;
 }
@@ -104,7 +105,6 @@
 void Pair::modify_params(int narg, char **arg)
 {
   if (narg == 0) error->all(FLERR,"Illegal pair_modify command");
-
   int iarg = 0;
   while (iarg < narg) {
     if (strcmp(arg[iarg],"mix") == 0) {
@@ -136,6 +136,14 @@
       else if (strcmp(arg[iarg+1],"no") == 0) tail_flag = 0;
       else error->all(FLERR,"Illegal pair_modify command");
       iarg += 2;
+    } else if (strcmp(arg[iarg],"weights") == 0) {
+      if (iarg+nhweights > narg) error->all(FLERR,"Illegal pair_modify command");
+      for( int i = 0; i < nhweights; ++i ) {
+        hweights[i] = atof(arg[iarg+1+i]);
+      }
+      // weights must be the last option 
+      return;
+      //iarg += ( nhweights + 1 );
     } else if (strcmp(arg[iarg],"compute") == 0) {
       if (iarg+2 > narg) error->all(FLERR,"Illegal pair_modify command");
       if (strcmp(arg[iarg+1],"yes") == 0) compute_flag = 1;
